<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .container{
            height: 2800px;
            position: relative;
        }

        .text_block1{
            height: 2500px;
            position: absolute;
            top: 500px;
            
        }

        .text_block2{
            height: 2000px;
            position: absolute;
            top: 1000px;
           
        }

        .text_block3{
            height:  1500px;
            position: absolute;
            top: 1500px;
            
        }

        .decoration_block1{
            width: 300px;
            height: 200px;
            background-color: crimson;
            margin-top: 10px;
            margin-left: 300px;
            position: sticky;
            top: 1px;
            z-index: 1;
        }

        .decoration_block2{
            width: 400px;
            height: 100px;
            background-color: rgb(18, 145, 102);
            margin-top: 70px;
            margin-left: 400px;
            position: sticky;
            top: 20px;
            z-index: 1;
        }

        .decoration_block3{
            width: 200px;
            height: 200px;
            background-color: rgb(145, 137, 18);
            margin-top: 50px;
            margin-left: 700px;
            position: sticky;
            top: 35px;
            z-index: 1;
            
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="text_block1">
         <h2>Decoration1</h2>
         <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae dolorum fugit harum, cum doloremque nesciunt, voluptate mollitia magni at inventore dolorem ea? Commodi ea facilis, eligendi fugit quaerat sequi quasi!</p>
         <div class="decoration_block1"></div> 
        </div>
         
         <div class="text_block2">
         <h2>Decoration2</h2>
         <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae dolorum fugit harum, cum doloremque nesciunt, voluptate mollitia magni at inventore dolorem ea? Commodi ea facilis, eligendi fugit quaerat sequi quasi!</p>
         <div class="decoration_block2"></div> 
        </div>
         
         <div class="text_block3">
         <h2>Decoration3</h2>
         <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Molestiae dolorum fugit harum, cum doloremque nesciunt, voluptate mollitia magni at inventore dolorem ea? Commodi ea facilis, eligendi fugit quaerat sequi quasi!</p>
         <div class="decoration_block3"></div>  
        </div> 
         
    </div>

    
</body>
</html>